Multi-Domain Errors

Getting an error when trying to upload the Multi-domain plugin. What are the requirements for the plugin?

Error Received:
Warning: Invalid argument supplied for foreach() in /nfs/c03/h06/mnt/57980/domains/dev.carlonavarro.com/html/wp-admin/includes/class-wp-upgrader.php on line 558
The package could not be installed. No valid plugins were found.

Plugin install failed.